# Artifact Roles

Artifacts may have individual roles assigned to users which permit access control for those users. There are two types of role:

* Administrator
* Collaborator

#### Administrator

Administrators have full control over the artifact, including assigning and unassigning roles. Administrators may upload, download, delete, and change content as they see fit.

{% hint style="info" %}
Artifact owners are automatically assigned the Administrator role. This role cannot be unassigned from owners. In order to accomplish this, the owner must first be changed to someone else via [UpdateArtifact](https://chameleoncloud.gitbook.io/trovi/api-reference/artifacts/updateartifact).
{% endhint %}

#### Collaborator

Collaborators have permission to edit artifact metadata, upload new versions, and share private artifacts.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chameleoncloud.gitbook.io/trovi/api-reference/artifacts/artifact-roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
